Skip to main content
POST
/
treasury_accounts
/
{treasury_account_id}
/
withdrawals
Withdraw to a settlement account
curl --request POST \
  --url https://api.withacclaim.com/v1/treasury_accounts/{treasury_account_id}/withdrawals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "settlement_account_id": "<string>",
  "amount": 123,
  "reference": "<string>",
  "description": "<string>"
}
'
{
  "id": "wd_P8LmNo23Qr",
  "treasury_account_id": "tac_b0TrsSg91h",
  "settlement_account_id": "sa_M9q4eR20Kx",
  "amount": 123,
  "currency": "<string>",
  "status": "Pending",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

treasury_account_id
string
required

ID of the treasury account.

Body

application/json
settlement_account_id
string
required

Destination settlement account ID

amount
integer
required

Amount in smallest currency unit

reference
string
description
string

Response

Withdrawal created.

id
string
Example:

"wd_P8LmNo23Qr"

treasury_account_id
string

ID of the treasury account

Example:

"tac_b0TrsSg91h"

settlement_account_id
string
Example:

"sa_M9q4eR20Kx"

amount
integer
currency
string
status
enum<string>
Available options:
Pending,
Completed,
Voided
created_at
string<date-time>
Last modified on April 16, 2026